import { PropType } from "vue";
import { Text } from '../domain/models/Label/Text';
import { Label, LabelList } from '../domain/models/Label/Label';
import { Entities, Entity } from '../domain/models/Label/Entity';
import { Font } from '../domain/models/Line/Font';
import { TextLine } from '../domain/models/Line/LineText';
import { Relation, RelationList } from '../domain/models/Label/Relation';
interface ViewLine {
    id: string;
    textLine: TextLine;
    size: number;
}
declare const _sfc_main: {
    components: undefined;
    props: {
        text: {
            type: StringConstructor;
            default: string;
            required: boolean;
        };
        entities: {
            type: PropType<Entity[]>;
            default: () => never[];
            required: boolean;
        };
        entityLabels: {
            type: PropType<Label[]>;
            default: () => never[];
            required: boolean;
        };
        relations: {
            type: PropType<Relation[]>;
            default: () => never[];
        };
        relationLabels: {
            type: PropType<Label[]>;
            default: () => never[];
        };
        allowOverlapping: {
            type: BooleanConstructor;
            default: boolean;
            required: boolean;
        };
        rtl: {
            type: BooleanConstructor;
            default: boolean;
        };
        graphemeMode: {
            type: BooleanConstructor;
            default: boolean;
        };
        dark: {
            type: BooleanConstructor;
            default: boolean;
        };
        selectedEntities: {
            type: PropType<Entity[]>;
            default: () => never[];
            required: boolean;
        };
    };
    data(): {
        font: Font | null;
        heights: {
            [id: string]: number;
        };
        maxWidth: number;
        baseX: number;
        left: number;
        right: number;
        textElement: SVGTextElement | null;
        selectedRelation: Relation | null;
        selectedEntity: Entity | null;
    };
    mounted(): void;
    watch: {
        text: {
            handler(): void;
            immediate: boolean;
        };
        rtl(): void;
    };
    computed: {
        _text(): Text;
        entityLabelList(): LabelList | null;
        relationLabelList(): LabelList | null;
        items(): ViewLine[];
        entityList(): Entities;
        relationList(): RelationList;
        textLines(): TextLine[];
        highlightedEntities(): Entity[];
    };
    beforeDestroy(): void;
    methods: {
        clicked(event: Event, entity: Entity): void;
        onRelationClicked(event: Event, relation: Relation): void;
        setMaxWidth(): void;
        updateHeight(id: string, height: number): void;
        resetSelection(): void;
        open(event: Event): void;
    };
};
export default _sfc_main;
